summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Taxis2011-03-04 18:20:47 +0100
committer Robby Workman2011-03-08 19:14:44 +0100
commitf6064089f376eaa2f03fde1e6e10103140acaf9e (patch)
tree340915806a2a1feb8e1ea0085bb473d3c28795ad /graphics
parent580063bebbecd33e4ecfa8feb124243bfd69ecaf (diff)
downloadslackbuilds-f6064089f376eaa2f03fde1e6e10103140acaf9e.tar.gz
graphics/lcdtest: Added (utility to display LCD monitor test patterns)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/lcdtest/README6
-rw-r--r--graphics/lcdtest/font-path.diff13
-rw-r--r--graphics/lcdtest/lcdtest.SlackBuild59
-rw-r--r--graphics/lcdtest/lcdtest.info10
-rw-r--r--graphics/lcdtest/slack-desc19
5 files changed, 107 insertions, 0 deletions
diff --git a/graphics/lcdtest/README b/graphics/lcdtest/README
new file mode 100644
index 0000000000..6ceb973e40
--- /dev/null
+++ b/graphics/lcdtest/README
@@ -0,0 +1,6 @@
+lcdtest is a utility to display LCD monitor test patterns.
+It may be useful for adjusting the pixel clock frequency and phase on
+LCD monitors when using analog inputs, and for finding pixels that are
+stuck on or off.
+
+This requires scons.
diff --git a/graphics/lcdtest/font-path.diff b/graphics/lcdtest/font-path.diff
new file mode 100644
index 0000000000..210ad6e6f9
--- /dev/null
+++ b/graphics/lcdtest/font-path.diff
@@ -0,0 +1,13 @@
+diff -rup lcdtest-1.18.orig/src/lcdtest.c lcdtest-1.18/src/lcdtest.c
+--- lcdtest-1.18.orig/src/lcdtest.c 2010-01-26 09:26:30.000000000 +0300
++++ lcdtest-1.18/src/lcdtest.c 2011-02-01 16:31:37.000000000 +0300
+@@ -742,7 +742,8 @@ int enumerate_sdl_modes (int *width, int
+ }
+
+
+-const char font_path [] = "/usr/share/fonts/liberation/LiberationMono-Regular.ttf";
++//const char font_path [] = "/usr/share/fonts/liberation/LiberationMono-Regular.ttf";
++const char font_path [] = "/usr/share/fonts/TTF/LiberationMono-Regular.ttf";
+
+ int main (int argc, char *argv [])
+ {
diff --git a/graphics/lcdtest/lcdtest.SlackBuild b/graphics/lcdtest/lcdtest.SlackBuild
new file mode 100644
index 0000000000..9185196981
--- /dev/null
+++ b/graphics/lcdtest/lcdtest.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for lcdtest
+
+# Written by Taxis taxis@gmx.us
+
+PRGNAM=lcdtest
+VERSION=${VERSION:-1.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Undebianize the font path
+patch -p1 < $CWD/font-path.diff
+
+scons --prefix=/usr --mandir=man --install-sandbox=$PKG install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/lcdtest/lcdtest.info b/graphics/lcdtest/lcdtest.info
new file mode 100644
index 0000000000..b9ffd45255
--- /dev/null
+++ b/graphics/lcdtest/lcdtest.info
@@ -0,0 +1,10 @@
+PRGNAM="lcdtest"
+VERSION="1.18"
+HOMEPAGE="http://www.brouhaha.com/~eric/software/lcdtest/"
+DOWNLOAD="http://www.brouhaha.com/~eric/software/lcdtest/download/lcdtest-1.18.tar.gz"
+MD5SUM="d94f242f0ff35c75d6f4be89d3bc13d6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Taxis"
+EMAIL="taxis@gmx.us"
+APPROVED="rworkman"
diff --git a/graphics/lcdtest/slack-desc b/graphics/lcdtest/slack-desc
new file mode 100644
index 0000000000..49b86ea157
--- /dev/null
+++ b/graphics/lcdtest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |----handy-ruler-------------------------------------------------------|
+lcdtest: Lcdtest (utility to display LCD monitor test patterns)
+lcdtest:
+lcdtest: lcdtest is a utility to display LCD monitor test patterns.
+lcdtest: It may be useful for adjusting the pixel clock frequency and phase on
+lcdtest: LCD monitors when using analog inputs, and for finding pixels that are
+lcdtest: stuck on or off.
+lcdtest:
+lcdtest: lcdtest uses the SDL library.
+lcdtest:
+lcdtest: Homepage: http://www.brouhaha.com/~eric/software/lcdtest/
+lcdtest: